--- Makefile
+++ Makefile	2024-09-03 13:28:26.000000000 +0800
@@ -142,11 +142,10 @@
 	$(CC) -O3 $(MACOS_FLAGS) -include src/regexp/constants.h src/sqlite3-regexp.c src/regexp/*.c src/regexp/pcre2/*.c -o dist/regexp.dylib
 	$(CC) -O3 $(MACOS_FLAGS) src/sqlite3-stats.c src/stats/*.c -o dist/stats.dylib -lm
 	$(CC) -O3 $(MACOS_FLAGS) src/sqlite3-text.c src/text/*.c src/text/*/*.c -o dist/text.dylib
-	$(CC) -O3 $(MACOS_FLAGS) src/sqlite3-time.c src/time/*.c -o dist/time.dylib
 	$(CC) -O3 $(MACOS_FLAGS) src/sqlite3-unicode.c src/unicode/*.c -o dist/unicode.dylib
 	$(CC) -O3 $(MACOS_FLAGS) src/sqlite3-uuid.c src/uuid/*.c -o dist/uuid.dylib
 	$(CC) -O3 $(MACOS_FLAGS) src/sqlite3-vsv.c src/vsv/*.c -o dist/vsv.dylib -lm
-	$(CC) -O1 $(MACOS_FLAGS) -include src/regexp/constants.h src/sqlite3-sqlean.c src/crypto/*.c src/define/*.c src/fileio/*.c src/fuzzy/*.c src/ipaddr/*.c src/math/*.c src/regexp/*.c src/regexp/pcre2/*.c src/stats/*.c src/text/*.c src/text/*/*.c src/time/*.c src/unicode/*.c src/uuid/*.c src/vsv/*.c -o dist/sqlean.dylib -lm
+	$(CC) -O1 $(MACOS_FLAGS) -include src/regexp/constants.h src/sqlite3-sqlean.c src/crypto/*.c src/define/*.c src/fileio/*.c src/fuzzy/*.c src/ipaddr/*.c src/math/*.c src/regexp/*.c src/regexp/pcre2/*.c src/stats/*.c src/text/*.c src/text/*/*.c src/unicode/*.c src/uuid/*.c src/vsv/*.c -o dist/sqlean.dylib -lm
 
 compile-macos-x86:
 	mkdir -p dist/x86
@@ -195,7 +194,6 @@
 	make test suite=math
 	make test suite=regexp
 	make test suite=stats
-	make test suite=time
 	make test suite=text
 	make test suite=unicode
 	make test suite=uuid
@@ -215,10 +213,6 @@
 	make ctest package=text module=rstring
 	gcc $(CTEST_FLAGS) test/text/utf8.test.c src/text/utf8/*.c -o text.utf8
 	make ctest package=text module=utf8
-	gcc $(CTEST_FLAGS) test/time/time.test.c src/time/*.c -o time.time
-	make ctest package=time module=time
-	gcc $(CTEST_FLAGS) test/time/duration.test.c src/time/*.c -o time.duration -lm
-	make ctest package=time module=duration
 
 ctest:
 	@chmod +x $(package).$(module)

--- src/sqlite3-sqlean.c
+++ src/sqlite3-sqlean.c	2024-09-03 13:23:38.000000000 +0800
@@ -18,7 +18,9 @@
 #include "regexp/extension.h"
 #include "stats/extension.h"
 #include "text/extension.h"
+#ifndef __APPLE__
 #include "time/extension.h"
+#endif
 #include "unicode/extension.h"
 #include "uuid/extension.h"
 #include "vsv/extension.h"
@@ -49,7 +51,7 @@
     regexp_init(db);
     stats_init(db);
     text_init(db);
-#if !defined(_WIN32) || defined(_WIN64)
+#if (!defined(_WIN32) || defined(_WIN64)) && !defined(__APPLE__)
     time_init(db);
 #endif
     unicode_init(db);
